Skip to main content
GET
/
v1
/
billing
/
invoice
/billing/invoice
curl --request GET \
  --url https://api.tagdeliver.com/v1/billing/invoice \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/billing/invoice"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/billing/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": 3667,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "GENERATED",
      "date": "2025-11-01 06:30:01",
      "date_updated": "2025-11-01 06:30:01",
      "date_due": "2025-11-30 00:00:00",
      "date_start": "2025-10-01",
      "date_end": "2025-10-31",
      "base_amount": 72502.07,
      "base_sub_amount": 72502.07,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3609,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "MISSING_PAYMENT_INFO",
      "date": "2025-10-01 06:30:01",
      "date_updated": "2025-10-30 06:30:02",
      "date_due": "2025-10-30 00:00:00",
      "date_start": "2025-09-01",
      "date_end": "2025-09-30",
      "base_amount": 69809.26,
      "base_sub_amount": 69809.26,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3575,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "MISSING_PAYMENT_INFO",
      "date": "2025-09-01 06:30:01",
      "date_updated": "2025-09-30 06:30:29",
      "date_due": "2025-09-30 00:00:00",
      "date_start": "2025-08-01",
      "date_end": "2025-08-31",
      "base_amount": 72496.08,
      "base_sub_amount": 72496.08,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3525,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2025-08-01 06:30:07",
      "date_updated": "2025-08-01 06:30:07",
      "date_due": "2025-08-30 00:00:00",
      "date_start": "2025-07-01",
      "date_end": "2025-07-31",
      "base_amount": 72492.84,
      "base_sub_amount": 72492.84,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3482,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2025-07-01 06:30:07",
      "date_updated": "2025-07-01 06:30:07",
      "date_due": "2025-07-30 00:00:00",
      "date_start": "2025-06-01",
      "date_end": "2025-06-30",
      "base_amount": 69826.93,
      "base_sub_amount": 69826.93,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3433,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2025-06-01 06:30:07",
      "date_updated": "2025-06-01 06:30:07",
      "date_due": "2025-06-30 00:00:00",
      "date_start": "2025-05-01",
      "date_end": "2025-05-31",
      "base_amount": 72501.82,
      "base_sub_amount": 72501.82,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3384,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2025-05-01 06:30:07",
      "date_updated": "2025-05-01 06:30:07",
      "date_due": "2025-05-30 00:00:00",
      "date_start": "2025-04-01",
      "date_end": "2025-04-30",
      "base_amount": 69850.75,
      "base_sub_amount": 69850.75,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3326,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2025-04-01 06:30:07",
      "date_updated": "2025-04-01 06:30:07",
      "date_due": "2025-04-30 00:00:00",
      "date_start": "2025-03-01",
      "date_end": "2025-03-31",
      "base_amount": 72539.02,
      "base_sub_amount": 72539.02,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3307,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2025-03-01 06:30:06",
      "date_updated": "2025-03-01 06:30:06",
      "date_due": "2025-03-30 00:00:00",
      "date_start": "2025-02-01",
      "date_end": "2025-02-28",
      "base_amount": 64911.85,
      "base_sub_amount": 64911.85,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3255,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2025-02-01 06:30:05",
      "date_updated": "2025-02-01 06:30:05",
      "date_due": "2025-03-02 00:00:00",
      "date_start": "2025-01-01",
      "date_end": "2025-01-31",
      "base_amount": 72584.35,
      "base_sub_amount": 72584.35,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3214,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2025-01-01 06:30:05",
      "date_updated": "2025-01-01 06:30:05",
      "date_due": "2025-01-30 00:00:00",
      "date_start": "2024-12-01",
      "date_end": "2024-12-31",
      "base_amount": 72560.27,
      "base_sub_amount": 72560.27,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3159,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2024-12-01 06:30:07",
      "date_updated": "2024-12-01 06:30:07",
      "date_due": "2024-12-30 00:00:00",
      "date_start": "2024-11-01",
      "date_end": "2024-11-30",
      "base_amount": 69887.36,
      "base_sub_amount": 69887.36,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3138,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2024-11-01 06:30:05",
      "date_updated": "2024-11-01 06:30:05",
      "date_due": "2024-11-30 00:00:00",
      "date_start": "2024-10-01",
      "date_end": "2024-10-31",
      "base_amount": 72526.14,
      "base_sub_amount": 72526.14,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3083,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2024-10-01 06:30:07",
      "date_updated": "2024-10-01 06:30:07",
      "date_due": "2024-10-30 00:00:00",
      "date_start": "2024-09-01",
      "date_end": "2024-09-30",
      "base_amount": 69848.91,
      "base_sub_amount": 69848.91,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 3002,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2024-09-01 07:52:42",
      "date_updated": "2024-09-01 07:52:42",
      "date_due": "2024-09-30 00:00:00",
      "date_start": "2024-08-01",
      "date_end": "2024-08-31",
      "base_amount": 72527.49,
      "base_sub_amount": 72527.49,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    },
    {
      "id": 2949,
      "org_name": "DEMO",
      "user_id": null,
      "record": "invoice",
      "type": null,
      "status": "VOID",
      "date": "2024-08-01 06:30:06",
      "date_updated": "2024-08-01 06:30:06",
      "date_due": "2024-08-30 00:00:00",
      "date_start": "2024-07-01",
      "date_end": "2024-07-31",
      "base_amount": 72256.37,
      "base_sub_amount": 72256.37,
      "base_currency": "GBP",
      "target_amount": null,
      "target_currency": "GBP",
      "target_rate": null,
      "tax": 0,
      "notes": null
    }
  ],
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json
results
object[]
required
success
boolean
required